.pragma library

const MAX_COULEURS_TEST_ECRAN = 8;



//=====================================================================================
// Fonctions  : Fournit une couleur en fonction d'un numéro reçu. Si le numéro est
//              supérieur au maxi, il y a bouclage pour toujours retourner une couleur.
// Reçoit :     Le numéro
// Retour :     La couleur
//=====================================================================================
function couleur(no)
{
    var couleur;
    var max_couleurs = 12;      // !! Vérifier que ce nombre est cohérent avec le nombre de cases ci-dessous... (ceci dit, il peut être inférieur sans soucis)

    no %= max_couleurs;

    switch (no)             // Cf https://doc.qt.io/qt-5/qml-color.html#svg-color-reference
    {
        case 0: couleur = "aquamarine";             break;
        case 1: couleur = "darkcyan";               break;
        case 2: couleur = "coral";                  break;
        case 3: couleur = "lightskyblue";           break;
        case 4: couleur = "cadetblue";              break;
        case 5: couleur = "darkturquoise";          break;
        case 6: couleur = "mediumpurple";           break;
        case 7: couleur = "darkseagreen";           break;
        case 8: couleur = "cornflowerblue";         break;
        case 9: couleur = "darkcyan";               break;
        case 10: couleur = "mediumaquamarine";      break;
        case 11: couleur = "mediumturquoise";       break;
        default: couleur = "orangered";                 // Ne doit jamais arriver
    }

    return(couleur);
}


//=================================================================================================
// Fonction :   Recherche la couleur suivante dans la liste (et reboucle dans le cas de fin de liste)
//=================================================================================================
function next_color_test_ecran(no)
{
    if (++ no >= MAX_COULEURS_TEST_ECRAN) no = 0;
    return(no);
}


//=====================================================================================
// Fonctions  : Fournit une couleur en fonction d'un numéro reçu. Si le numéro est
//              supérieur au maxi, il y a bouclage pour toujours retourner une couleur.
// Reçoit :     Le numéro
// Retour :     La couleur
//=====================================================================================
function couleur_test_ecran(no)
{
    var couleur;

    no %= MAX_COULEURS_TEST_ECRAN;

    switch (no)             // Cf https://doc.qt.io/qt-5/qml-color.html#svg-color-reference
    {
        case 0: couleur = "white";          break;
        case 1: couleur = "red";            break;
        case 2: couleur = "blue";           break;
        case 3: couleur = "green";          break;
        case 4: couleur = "black";          break;
        case 5: couleur = "aqua";           break;
        case 6: couleur = "fuchsia";        break;
        case 7: couleur = "yellow";         break;
        default: couleur = "orangered";                 // Ne doit jamais arriver
    }

    return(couleur);
}



